X2Go Bug report logs - #40
xkeyboard-config 2.6.0 might break NX keyboard layout

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 26 Sep 2012 18:33:01 UTC

Severity: important

Tags: pending

Merged with 399

Found in versions 3.5.0.22, 3.5.0.15

Fixed in versions 3.5.0.25, 2:3.5.0.25

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#40; Package x2goagent. (Wed, 26 Sep 2012 18:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 26 Sep 2012 18:33:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: Andreas Radke <a.radke@arcor.de>
Subject: xkeyboard-config 2.6.0 might break NX keyboard layout
Date: Wed, 26 Sep 2012 20:20:13 +0200
[Message part 1 (text/plain, inline)]
Package: x2goagent
Version: 3.5.0.15
Severity: important

Hi Andreas,

Thanks for reminding us. Unfortunately, there is nothing new about the  
issue apart from NoMachine having taken notice of it, as well.

For now, I forward this issue to our new bug tracking system... so  
that we stay aware of it...

Mike

----- Weitergeleitete Nachricht von a.radke@arcor.de -----
     Datum: Wed, 26 Sep 2012 19:39:30 +0200
       Von: Andreas Radke <a.radke@arcor.de>
   Betreff: Re: [X2Go-Dev] xkeyboard-config 2.6.0 might break NX  
keyboard layout
        An: x2go-dev@lists.berlios.de
        Cc: mike.gabriel@das-netzwerkteam.de

Am Mon, 04 Jun 2012 07:59:40 +0200
schrieb Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:

> Hi,
>
> On So 03 Jun 2012 23:17:56 CEST Andreas Radke wrote:
>
> > Just a note about a bug I've run into:
> >
> > https://bugs.freedesktop.org/show_bug.cgi?id=50553
> >
> > Maybe somebody else can confirm if this is a NoMachine NX bug.
>
> The last posting against the quoted bug reported hints that this is
> indeed a missing feature in NX.
>
> I have notified NoMachine of this issue.
>
> Greets,
> Mike
>
>

Any progress with issue? The new xkeyboard-config 2.7 release shows the
same broken behavior.

-Andy
ArchLinux


----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[signature.asc (application/pgp-signature, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#40; Package x2goagent. (Wed, 03 Oct 2012 13:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Paul van der Vlis <paul@vandervlis.nl>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 03 Oct 2012 13:33:02 GMT) (full text, mbox, link).


Message #10 received at 40@bugs.x2go.org (full text, mbox, reply):

From: Paul van der Vlis <paul@vandervlis.nl>
To: 40@bugs.x2go.org
Subject: Reproduce
Date: Wed, 03 Oct 2012 15:31:42 +0200
I was asked how to reproduce this bug.

I got the problem from a customer who uses a Ubuntu 12.04 laptop as a
client (I don't know which client version) and a server with Debian
Squeeze and an up-to-date X2go server.

I have reproduced it then myself with my personal computer as a client
(Debian Squeeze 64-bit with some backports) and a computer of another
customer as server (Debian Squeeze 32 bit, up-to-date X2go server).
There I could reproduce the bug. Both fullscreen and in a window.

What I did is login on the server, change the keyboard settings in Gnome
to deadkeys, and test it in the keyboard-settings-window.

On non of this computers I use this line in sources.list:
deb http://packages.x2go.org/debian squeeze main
So no "heuler".


With regards,
Paul van der Vlis.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#40; Package x2goagent. (Wed, 03 Oct 2012 17:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 03 Oct 2012 17:03:02 GMT) (full text, mbox, link).


Message #15 received at 40@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Paul van der Vlis <paul@vandervlis.nl>
Cc: 40@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#40: Reproduce
Date: Wed, 03 Oct 2012 18:53:13 +0200
[Message part 1 (text/plain, inline)]
Hi Paul,

On Mi 03 Okt 2012 15:31:42 CEST Paul van der Vlis wrote:

> What I did is login on the server, change the keyboard settings in Gnome
> to deadkeys, and test it in the keyboard-settings-window.
>

Could you test this with the same setup:

  o Select nodeadkeys on your client (GNOME settings for keyboard)
  o Deactivate all keyboard settings within GNOME
  o Keyboard model: ,,auto'' in X2Go session profile
  o Keyboard layout: (empty)

On client and server you can check the keyboard settings with

  $ setxkbmap -print

For both actions (your way of reproducing and the way I describe)  
please send output of setxkbmap -pring to this bug.

Thanks+Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#40; Package x2goagent. (Fri, 13 Jun 2014 00:00:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Jun 2014 00:00:04 GMT) (full text, mbox, link).


Message #20 received at 40@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 40-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 40@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Fri, 13 Jun 2014 01:57:00 +0200 (CEST)
tag #40 pending
fixed #40 2:3.5.0.25
thanks

Hello,

X2Go issue #40 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=75987a7

The issue will most likely be fixed in src:nx-libs (2:3.5.0.25).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 75987a76f0b9a3a011ab7d703b5b2fe60c146af6
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Fri Jun 13 01:55:49 2014 +0200

    Add 302_nx-X11_xkbbasedir-detection.patch. For detecting XkbBaseDir test for xkb/rules/base instead of testing for deprecated file xkb/keymap.dir. (Fixes: #40).

diff --git a/debian/changelog b/debian/changelog
index 00640a2..6e5a49e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,9 @@ nx-libs (2:3.5.0.25-0x2go1) UNRELEASED; urgency=low
   * Add 028_nx-X11_abstract-kernel-sockets.full.patch. Provide abstract local
     socket support for Linux based systems. This patch pulls in abstract
     socket relevant code from xtrans 1.2.7. (Fixes: #504).
+  * Add 302_nx-X11_xkbbasedir-detection.patch. For detecting XkbBaseDir
+    test for xkb/rules/base instead of testing for deprecated file
+    xkb/keymap.dir. (Fixes: #40).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 07 May 2014 09:58:10 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 13 Jun 2014 00:00:05 GMT) (full text, mbox, link).


Marked as fixed in versions 2:3.5.0.25. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 13 Jun 2014 00:00:05 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#40. (Fri, 13 Jun 2014 00:00:06 GMT) (full text, mbox, link).


Marked as fixed in versions 3.5.0.25. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Merged 399 40 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 399-submit@bugs.x2go.org. (Fri, 27 Jun 2014 10:55:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#40; Package x2goagent. (Mon, 30 Jun 2014 12:25:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 12:25:03 GMT) (full text, mbox, link).


Message #38 received at 40@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 40-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 40@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Mon, 30 Jun 2014 14:24:37 +0200 (CEST)
close #40
thanks

Hello,

we are very hopeful that X2Go issue #40 reported by you
has been resolved in the new release (2:3.5.0.25) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.25)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=8d4317e7e4fccbe6906c5ba57b8d0101868f92f3;hp=460a3cb3911bbfb717d0259947fe05f68d964948

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.25-0x2go1
Status: RELEASE
Date: Mon, 30 Jun 2014 14:05:46 +0200
Fixes: 40 339 490 504 505 515 516
Changes: 
 nx-libs (2:3.5.0.25-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * Add 029_nxcomp_ppc64.full+lite.patch. Fix sockaddr handling on
     Big Endian systems (like PPC64). (Fixes: #515).
   * Add 057_nx-X11_sanitize-eventmasks.full.patch. Fix
     failures in session windows coming up on Big Endian systems
     like PPC64. (Fixes: #516).
   * Improve 105_nxagent_export-remote-keyboard-config.full.patch.
     Don't print out nonsensical information, if there really was
     no error when creating the keyboard file or the other way around.
     Also add the reason when failing to create the keyboard file.
     Only print an error message if SessionPath *really* is not defined.
   * Improve 028_nx-X11_abstract-kernel-sockets.full.patch. Make it more
     Big Endian robust by assigning correct types for socklen_t objects.
   * Add 990_fix-DEBUG-and-TEST-builds.full.patch. Fix debug builds (e.g.
     when globally setting -DDEBUG and -DTEST at build time).
 .
   [ Nito Martínez ]
   * Add 212_nxcomp_build-on-Android.patch. Fix FTBFS of nxproxy/nxcomp when
     build against the Android system. (Fixes: #339).
 .
   [ Oleksandr Shneyder ]
   * Add 210_nxagent_nxcomp_save_session_state.full+lite.patch. Save session
     state in path specified by "state" option in agent options file. If
     option is omitted, session state will not be saved. Session states are:
     STARTING, RUNNING, SUSPENDING, SUSPENDED, RESUMING, TERMINATING,
     TERMINATED.
   * Add 211_nxcomp_set_default_options.full+lite.patch. Set default arguments
     for options 'link' and 'pack' to avoid session damage by resuming with
     incorrect options file.
 .
   [ Mike Gabriel ]
   * Add 606_nx-X11_build-on-aarch64.full.patch. Build on aarch64
     architectures. (Fixes: #490).
   * Add 027_nxcomp_abstract-X11-socket.full+lite.patch. In proxy mode "server"
     let NX proxy attempt connecting to the abstract X11 socket first, and only
     fallback to the file system socket, if the abstract socket is not
     available. (Fixes: #505).
   * Add 028_nx-X11_abstract-kernel-sockets.full.patch. Provide abstract local
     socket support for Linux based systems. This patch pulls in abstract
     socket relevant code from xtrans 1.2.7. (Fixes: #504).
   * Add 302_nx-X11_xkbbasedir-detection.patch. For detecting XkbBaseDir
     test for xkb/rules/base instead of testing for deprecated file
     xkb/keymap.dir. (Fixes: #40).
   * Add 206_nxagent_clipboard-as-nxoption.full.patch. Make the clipboard
     option configurable in nxagent via NX options as addition to the
     command line parameter -clipboard. Note that the command line
     parameter overrides the clipboard NX option. Possible values are
     both or 1, client, server, none or 0.
 .
   * Update patches, to make them apply cleanly after above changes:
     + 220_nxproxy-bind-loopback-only.full+lite.patch
     + 016_nx-X11_install-location.debian.patch
     + 056_nx-X11-Werror-format-security.full.patch
     + 108_nxagent_wine-close-delay.full.patch
     + 300_nxagent_set-wm-class.full.patch
     + 320_nxagent_configurable-keystrokes.full.patch
 .
   * Rename patches to match our naming scheme:
     + 008_nxcomp_sa-restorer.full+lite.patch
     + 009_nxagent_add-man-page.full.patch
     + 009_nxproxy_add-man-page.full+lite.patch
     + 056_nx-X11_Werror-format-security.full.patch
     + 209_x2goagent_add-man-page.full.patch
     + 220_nxproxy_bind-loopback-only.full+lite.patch


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#40; Package x2goagent. (Mon, 30 Jun 2014 12:25:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jun 2014 12:25:04 GMT) (full text, mbox, link).


Message #43 received at 40@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 40-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 40@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Mon, 30 Jun 2014 14:24:34 +0200 (CEST)
close #40
thanks

Hello,

we are very hopeful that X2Go issue #40 reported by you
has been resolved in the new release (2:3.5.0.25) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.25)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=be23e057f28a6624380a91d1ba36cbf5df6c3fff;hp=460a3cb3911bbfb717d0259947fe05f68d964948

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.25-0x2go1
Status: RELEASE
Date: Mon, 30 Jun 2014 14:05:46 +0200
Fixes: 40 339 490 504 505 515 516
Changes: 
 nx-libs (2:3.5.0.25-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * Add 029_nxcomp_ppc64.full+lite.patch. Fix sockaddr handling on
     Big Endian systems (like PPC64). (Fixes: #515).
   * Add 057_nx-X11_sanitize-eventmasks.full.patch. Fix
     failures in session windows coming up on Big Endian systems
     like PPC64. (Fixes: #516).
   * Improve 105_nxagent_export-remote-keyboard-config.full.patch.
     Don't print out nonsensical information, if there really was
     no error when creating the keyboard file or the other way around.
     Also add the reason when failing to create the keyboard file.
     Only print an error message if SessionPath *really* is not defined.
   * Improve 028_nx-X11_abstract-kernel-sockets.full.patch. Make it more
     Big Endian robust by assigning correct types for socklen_t objects.
   * Add 990_fix-DEBUG-and-TEST-builds.full.patch. Fix debug builds (e.g.
     when globally setting -DDEBUG and -DTEST at build time).
 .
   [ Nito Martínez ]
   * Add 212_nxcomp_build-on-Android.patch. Fix FTBFS of nxproxy/nxcomp when
     build against the Android system. (Fixes: #339).
 .
   [ Oleksandr Shneyder ]
   * Add 210_nxagent_nxcomp_save_session_state.full+lite.patch. Save session
     state in path specified by "state" option in agent options file. If
     option is omitted, session state will not be saved. Session states are:
     STARTING, RUNNING, SUSPENDING, SUSPENDED, RESUMING, TERMINATING,
     TERMINATED.
   * Add 211_nxcomp_set_default_options.full+lite.patch. Set default arguments
     for options 'link' and 'pack' to avoid session damage by resuming with
     incorrect options file.
 .
   [ Mike Gabriel ]
   * Add 606_nx-X11_build-on-aarch64.full.patch. Build on aarch64
     architectures. (Fixes: #490).
   * Add 027_nxcomp_abstract-X11-socket.full+lite.patch. In proxy mode "server"
     let NX proxy attempt connecting to the abstract X11 socket first, and only
     fallback to the file system socket, if the abstract socket is not
     available. (Fixes: #505).
   * Add 028_nx-X11_abstract-kernel-sockets.full.patch. Provide abstract local
     socket support for Linux based systems. This patch pulls in abstract
     socket relevant code from xtrans 1.2.7. (Fixes: #504).
   * Add 302_nx-X11_xkbbasedir-detection.patch. For detecting XkbBaseDir
     test for xkb/rules/base instead of testing for deprecated file
     xkb/keymap.dir. (Fixes: #40).
   * Add 206_nxagent_clipboard-as-nxoption.full.patch. Make the clipboard
     option configurable in nxagent via NX options as addition to the
     command line parameter -clipboard. Note that the command line
     parameter overrides the clipboard NX option. Possible values are
     both or 1, client, server, none or 0.
 .
   * Update patches, to make them apply cleanly after above changes:
     + 220_nxproxy-bind-loopback-only.full+lite.patch
     + 016_nx-X11_install-location.debian.patch
     + 056_nx-X11-Werror-format-security.full.patch
     + 108_nxagent_wine-close-delay.full.patch
     + 300_nxagent_set-wm-class.full.patch
     + 320_nxagent_configurable-keystrokes.full.patch
 .
   * Rename patches to match our naming scheme:
     + 008_nxcomp_sa-restorer.full+lite.patch
     + 009_nxagent_add-man-page.full.patch
     + 009_nxproxy_add-man-page.full+lite.patch
     + 056_nx-X11_Werror-format-security.full.patch
     + 209_x2goagent_add-man-page.full.patch
     + 220_nxproxy_bind-loopback-only.full+lite.patch


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Jun 2014 12:25:12 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Mon, 30 Jun 2014 12:25:12 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#40. (Mon, 30 Jun 2014 12:25:18 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#40. (Mon, 30 Jun 2014 12:25:18 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 29 Jul 2014 05:24:02 GMT) (full text, mbox, link).


Bug unarchived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 19:40:02 GMT) (full text, mbox, link).


Bug archived. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 20 Feb 2016 20:20:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 13 13:26:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.